<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	        Pagina para administrar los documentos anexos del avalúo, viene del Caso de Uso
                        CU-SA-AC-002 
                        
@param			managedBeanParam: nombre del managedBean que tiene los métodos administrar los
                                anexos

-->

<h:form id="administrarAnexosForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc">

    <p:spacer height="5" />

    <p:fieldset>
        <legend>
            <h:outputLabel value="Documentos Anexos" styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="10" cellspacing="7"
                     columnClasses="colPequena, colMediana, colPequena, colMediana, colPequena, 
                     colMediana, colPequena, colMediana, colPequena, colMediana">

            <h:outputLabel rendered="#{managedBeanParam.radicacion != null}"
                           value="Radicación:" styleClass="outputLabelStyle" />
            <h:outputText rendered="#{managedBeanParam.radicacion != null}"
                          value="#{managedBeanParam.radicacion}" 
                          styleClass="outputTextStyle" />

            <h:outputLabel rendered="#{managedBeanParam.secRadicado != null}"
                           value="Sec_radicado:" styleClass="outputLabelStyle" />
            <h:outputText rendered="#{managedBeanParam.secRadicado != null}"
                          value="#{managedBeanParam.secRadicado}" 
                          styleClass="outputTextStyle" />

            <h:outputLabel rendered="#{managedBeanParam.fechaRadicacion != null}"
                           value="Fecha radicación:" styleClass="outputLabelStyle" />
            <h:outputText rendered="#{managedBeanParam.fechaRadicacion != null}"
                          value="#{managedBeanParam.fechaRadicacion}" 
                          styleClass="outputTextStyle" />

            <h:outputLabel rendered="#{managedBeanParam.solicitante != null}"
                           value="Solicitante:" styleClass="outputLabelStyle" />
            <h:outputText rendered="#{managedBeanParam.solicitante != null}"
                          value="#{managedBeanParam.solicitante.nombreCompleto}" 
                          styleClass="outputTextStyle" />

            <h:outputLabel rendered="#{managedBeanParam.tipoTramite != null}"
                           value="Tipo trámite:" styleClass="outputLabelStyle" />

            <h:outputText
                id="AvaluosComercialesTipoTramite"
                rendered="#{managedBeanParam.tipoTramite != null}"
                value="#{managedBeanParam.tipoTramite}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite" />
            </h:outputText>

        </h:panelGrid>

        <p:spacer height="10" />
        <p:separator />


        <h:panelGrid columns="3" cellspacing="7"
                     columnClasses="colMediana, colMediana">


            <h:outputLabel value="Descripción del documento:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{managedBeanParam.descripcionDocSelecionado}"
                styleClass="outputTextStyle" />

            <p:commandButton
                id="cargarNuevoAnexoBtn"
                rendered="#{!managedBeanParam.banderaModoLecturaHabilitado}"
                value="Cargar anexo"
                onstart="statusDialog2.show();cargaDocWV.show()"
                action="#{managedBeanParam.prepararCargaAnexo}"
                oncomplete="statusDialog2.hide();" icon="ui-icon-arrowthickstop-1-n"
                title="Cargar nuevo anexo"/>



        </h:panelGrid>



        <p:spacer height="10" width="0" />
        <p:dataTable var="anexo" id="tblAnexos" paginatorPosition="bottom"
                     paginator="true" rows="10"
                     value="#{managedBeanParam.documentosAnexosSeleccionados}" rowKey=""
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                     {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15"
                     emptyMessage="No hay resultados para esta búsqueda">

            <p:column headerText="Opciones" rendered="#{!managedBeanParam.banderaModoLecturaHabilitado}">
                <p:commandButton
                    rendered="#{(!managedBeanParam.banderaModoLecturaHabilitado)
                                and (anexo.estado=='3' or anexo.estado=='4')}"
                    onstart="statusDialog2.show();"
                    action="#{managedBeanParam.reemplazarAnexo}"
                    oncomplete="statusDialog2.hide(); cargaDocWV.show()" icon="ui-icon ui-icon-refresh"
                    title="Reemplazar Anexo">
                    <f:setPropertyActionListener
                        target="#{managedBeanParam.documentoAnexoSeleccionado}"
                        value="#{anexo}"/>
                </p:commandButton>
                <p:commandButton
                    rendered="#{(!managedBeanParam.banderaModoLecturaHabilitado)
                                and (anexo.estado=='3' or anexo.estado=='4')}"
                    onstart="statusDialog2.show();"
                    oncomplete="statusDialog2.hide(); confirmacionEliminarAnexoWV.show()"
                    icon="ui-icon ui-icon-close" title="Eliminar Anexo">
                    <f:setPropertyActionListener
                        target="#{managedBeanParam.documentoAnexoSeleccionado}"
                        value="#{anexo}" />
                </p:commandButton>

            </p:column>

            <p:column headerText="Radicado">
                <h:outputText value="#{anexo.numeroRadicacion}"/>

            </p:column>
            <p:column headerText="Fecha">
                <h:outputText value="#{anexo.fechaRadicacion}">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"/>

                </h:outputText>

            </p:column>

            <p:column headerText="Archivo anexos">
                <p:commandLink id="downloadLink"
                               action="#{managedBeanParam.visualizarDocumento}"
                               styleClass="commandLinkStyle" value="#{anexo.archivo}"
                               update=":docViewer:docViewerCCForm"
                               oncomplete="docAvaluosViewerWV.show();statusDialog2.hide()"
                               onstart="statusDialog2.show()">
                    <f:setPropertyActionListener
                        target="#{managedBeanParam.documentoAnexoSeleccionado}"
                        value="#{anexo}" />

                </p:commandLink>
            </p:column>

        </p:dataTable>

        <p:spacer height="10" />

    </p:fieldset>

    <p:spacer height="5" />

</h:form>



